Bug 1220138 - EPEL's version of Mono is horrendously outdated with lots of vulns. [epel-all]
Summary: EPEL's version of Mono is horrendously outdated with lots of vulns. [epel-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: mono
Version: epel7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Timotheus Pokorra
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1089426 1295117 1296095 1296105 1307549
Blocks: CVE-2015-2318, CVE-2015-2319, CVE-2015-2320 226158 839978 853110 1089278 1128499 openra mono-nat fuzzynet
TreeView+ depends on / blocked
 
Reported: 2015-05-10 11:46 UTC by Moez Roy
Modified: 2018-04-11 08:27 UTC (History)
19 users (show)

Fixed In Version: mono-4.2.4-7.el7
Doc Type: Release Note
Doc Text:
Clone Of: 1089426
Environment:
Last Closed: 2016-11-16 23:20:06 UTC


Attachments (Terms of Use)

Description Moez Roy 2015-05-10 11:46:48 UTC
+++ This bug was initially created as a clone of Bug #1089426 +++

Debian stable literally has newer versions of both Mono and especially MonoDevelop. Don't even get me started on testing and unstable...

--- Additional comment from Chris Morgan on 2014-05-21 15:03:55 PDT ---

Yeah, the 3.x series has been out for a couple of years now. It would be nice to jump up to the latest release for F21.

--- Additional comment from Mike on 2014-07-17 06:03:14 PDT ---

I also desperately need a more current mono version. I need this mainly for arm platform (RasPI, pidora).

--- Additional comment from Jonas Thiem on 2014-11-25 11:02:03 PST ---

The open-source game OpenRA (http://openra.net/) runs into issues which the devs told me are most likely due to the old mono version.

Is mono for Fedora still actively maintained?

--- Additional comment from  on 2014-12-26 14:39:46 PST ---

I need it for Repetier 1.06 http://www.repetier.com/downloads/

--- Additional comment from Moez Roy on 2015-02-06 08:51:20 PST ---



--- Additional comment from Jaroslav Reznik on 2015-03-03 07:43:11 PST ---

This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

--- Additional comment from Rex Dieter on 2015-04-01 06:22:34 PDT ---

marking rawhide/FutureFeature, to avoid autoclose/auto-rebase of the bug

--- Additional comment from Moez Roy on 2015-04-01 08:03:20 PDT ---

mono-core-3.12.1-0.src.rpm from http://download.mono-project.com/repo/centos/SRPMS/ built successfully for F21: https://koji.fedoraproject.org/koji/taskinfo?taskID=9392781

It failed against rawhide: https://koji.fedoraproject.org/koji/taskinfo?taskID=9392925

--- Additional comment from Raphael Groner on 2015-04-01 08:45:20 PDT ---

(In reply to Moez Roy from comment #8)

Is the recent build failure related to that patch?
http://static-173-79-223-25.washdc.fios.verizon.net/?l=mono-patches&m=138211276301187&q=raw

--- Additional comment from Raphael Groner on 2015-04-01 08:49:36 PDT ---

Maybe also …
https://groups.google.com/forum/#!topic/mono-svn-patches/qQrKoyt-j9A

Should undefine HAVE_KW_THREAD?
https://marc.info/?l=mono-patches&m=124571096012427

This is what Google gives me as helpfully looking links so far.

--- Additional comment from Moez Roy on 2015-04-03 05:11:27 PDT ---

(In reply to Raphael Groner from comment #9)
> (In reply to Moez Roy from comment #8)
> 
> Is the recent build failure related to that patch?
> http://static-173-79-223-25.washdc.fios.verizon.net/?l=mono-
> patches&m=138211276301187&q=raw

(In reply to Raphael Groner from comment #10)
> Maybe also …
> https://groups.google.com/forum/#!topic/mono-svn-patches/qQrKoyt-j9A
> 
> Should undefine HAVE_KW_THREAD?
> https://marc.info/?l=mono-patches&m=124571096012427
> 
> This is what Google gives me as helpfully looking links so far.

I have no clue.

I am not motivated enough to look more into this right now.

Can you try and see if you can build it for rawhide?

--- Additional comment from Raphael Groner on 2015-04-07 07:15:31 PDT ---

Mono 4.0.0 Release Notes:
"We no longer build or package reference assemblies for the .NET 2.0, .NET 3.5 or .NET 4.0 APIs. We only support now the .NET 4.5 assemblies as well as the mobile-based profiles."

http://www.mono-project.com/docs/about-mono/releases/4.0.0/

What's the strategical plan in Fedora?

--- Additional comment from Timotheus Pokorra on 2015-04-09 23:31:02 PDT ---

(In reply to Moez Roy from comment #8)

It seems that Mono 4.0 Alpha1 builds fine on Rawhide:
https://copr.fedoraproject.org/coprs/elsupergomez/mono-4/build/85185/

I tried to find the difference in the Mono github repository, but was not able to find it.
mono/mini/mini.c has been split, and the function mono_get_jit_tls_offset now lives in
https://github.com/mono/mono/blob/master/mono/mini/mini-runtime.c#L674
but still looks the same as in 3.12.1:
https://github.com/mono/mono/blob/mono-3.12.1/mono/mini/mini.c#L2638

Comment 1 Claudio Rodrigo Pereyra DIaz 2015-05-11 11:27:15 UTC
I has been working on mono 4 with tpokorra

Mono 3 version
https://copr.fedoraproject.org/coprs/elsupergomez/mono
Mono 4 version
https://copr.fedoraproject.org/coprs/tpokorra/mono

also view https://fedoraproject.org/wiki/Changes/Mono_4 this apply to epel to.

Comment 2 Raphael Groner 2015-11-13 08:18:35 UTC
There is a decision to *not* provide Mono4 in F22 cause of too much work with bootstrapping from Mono2. So I guess there are similiar issues with EPEL7.

Comment 3 Timotheus Pokorra 2015-11-13 10:15:43 UTC
how many packages in EPEL7 depend on mono?

Comment 4 Timotheus Pokorra 2016-01-02 15:04:01 UTC
answer to my own question:

repoquery --whatrequires --recursive mono-core

banshee-0:2.6.2-9.el7.x86_64
banshee-devel-0:2.6.2-9.el7.x86_64
dbus-sharp-1:0.7.0-11.el7.x86_64
dbus-sharp-devel-1:0.7.0-11.el7.x86_64
dbus-sharp-glib-0:0.5.0-9.el7.x86_64
dbus-sharp-glib-devel-0:0.5.0-9.el7.x86_64
gdata-sharp-0:1.4.0.2-13.el7.x86_64
gdata-sharp-devel-0:1.4.0.2-13.el7.x86_64
gio-sharp-0:0.3-10.el7.x86_64
gio-sharp-devel-0:0.3-10.el7.x86_64
gkeyfile-sharp-0:0.1-15.el7.x86_64
gkeyfile-sharp-devel-0:0.1-15.el7.x86_64
gnome-sharp-0:2.24.2-7.el7.x86_64
gnome-sharp-devel-0:2.24.2-7.el7.x86_64
gtk-sharp-beans-0:2.14.0-13.el7.x86_64
gtk-sharp-beans-devel-0:2.14.0-13.el7.x86_64
gtk-sharp2-0:2.12.11-12.el7.x86_64
gtk-sharp2-devel-0:2.12.11-12.el7.x86_64
gtk-sharp2-doc-0:2.12.11-12.el7.x86_64
gtk-sharp2-gapi-0:2.12.11-12.el7.x86_64
gtk-sharp3-0:2.99.3-10.el7.x86_64
gtk-sharp3-devel-0:2.99.3-10.el7.x86_64
gtk-sharp3-doc-0:2.99.3-10.el7.noarch
gtk-sharp3-gapi-0:2.99.3-10.el7.x86_64
gudev-sharp-0:0.1-14.el7.x86_64
gudev-sharp-devel-0:0.1-14.el7.x86_64
ibm-data-db2-0:2.10.8-8.el7.x86_64
libappindicator-sharp-0:12.10.0-10.el7.x86_64
libappindicator-sharp-devel-0:12.10.0-10.el7.x86_64
libgpod-sharp-0:0.8.3-6.el7.x86_64
libgpod-sharp-devel-0:0.8.3-6.el7.x86_64
mono-addins-0:0.6.2-11.el7.x86_64
mono-addins-devel-0:0.6.2-11.el7.x86_64
mono-data-0:2.10.8-8.el7.x86_64
mono-data-oracle-0:2.10.8-8.el7.x86_64
mono-data-postgresql-0:2.10.8-8.el7.x86_64
mono-data-sqlite-0:2.10.8-8.el7.x86_64
mono-devel-0:2.10.8-8.el7.x86_64
mono-extras-0:2.10.8-8.el7.x86_64
mono-locale-extras-0:2.10.8-8.el7.x86_64
mono-mvc-0:2.10.8-8.el7.x86_64
mono-mvc-devel-0:2.10.8-8.el7.x86_64
mono-nunit-0:2.10.8-8.el7.x86_64
mono-nunit-devel-0:2.10.8-8.el7.x86_64
mono-wcf-0:2.10.8-8.el7.x86_64
mono-web-0:2.10.8-8.el7.x86_64
mono-web-devel-0:2.10.8-8.el7.x86_64
mono-winforms-0:2.10.8-8.el7.x86_64
mono-winfx-0:2.10.8-8.el7.x86_64
mono-yui-0:1.1.0-3.el7.x86_64
mono-zeroconf-0:0.9.0-13.el7.x86_64
mono-zeroconf-devel-0:0.9.0-13.el7.x86_64
monodoc-0:2.10.8-8.el7.x86_64
monodoc-devel-0:2.10.8-8.el7.x86_64
notify-sharp-0:0.4.0-0.23.20100411svn.el7.x86_64
notify-sharp-devel-0:0.4.0-0.23.20100411svn.el7.x86_64
notify-sharp-doc-0:0.4.0-0.23.20100411svn.el7.x86_64
pinta-0:1.5-1.el7.x86_64
taglib-sharp-0:2.0.3.7-11.el7.x86_64
taglib-sharp-devel-0:2.0.3.7-11.el7.x86_64

Comment 5 Timotheus Pokorra 2016-01-02 15:05:56 UTC
According to https://fedoraproject.org/wiki/EPEL/GuidelinesAndPolicies this is a  major upgrade. Should we just wait for Epel8, or already put Mono 4.x updates into testing, and wait for Epel8?

Or should we create a new package mono4, similar to Python3 for Epel? see https://fedoraproject.org/wiki/User:Bkabrda/EPEL7_Python3#EPEL_7_in_Python_3_Plan_Draft

Comment 6 Moez Roy 2016-01-02 23:02:12 UTC
(In reply to Timotheus Pokorra from comment #4)
> answer to my own question:
> 
> repoquery --whatrequires --recursive mono-core
> 
> banshee-0:2.6.2-9.el7.x86_64
> banshee-devel-0:2.6.2-9.el7.x86_64
> dbus-sharp-1:0.7.0-11.el7.x86_64
> dbus-sharp-devel-1:0.7.0-11.el7.x86_64
> dbus-sharp-glib-0:0.5.0-9.el7.x86_64
> dbus-sharp-glib-devel-0:0.5.0-9.el7.x86_64
> gdata-sharp-0:1.4.0.2-13.el7.x86_64
> gdata-sharp-devel-0:1.4.0.2-13.el7.x86_64
> gio-sharp-0:0.3-10.el7.x86_64
> gio-sharp-devel-0:0.3-10.el7.x86_64
> gkeyfile-sharp-0:0.1-15.el7.x86_64
> gkeyfile-sharp-devel-0:0.1-15.el7.x86_64
> gnome-sharp-0:2.24.2-7.el7.x86_64
> gnome-sharp-devel-0:2.24.2-7.el7.x86_64
> gtk-sharp-beans-0:2.14.0-13.el7.x86_64
> gtk-sharp-beans-devel-0:2.14.0-13.el7.x86_64
> gtk-sharp2-0:2.12.11-12.el7.x86_64
> gtk-sharp2-devel-0:2.12.11-12.el7.x86_64
> gtk-sharp2-doc-0:2.12.11-12.el7.x86_64
> gtk-sharp2-gapi-0:2.12.11-12.el7.x86_64
> gtk-sharp3-0:2.99.3-10.el7.x86_64
> gtk-sharp3-devel-0:2.99.3-10.el7.x86_64
> gtk-sharp3-doc-0:2.99.3-10.el7.noarch
> gtk-sharp3-gapi-0:2.99.3-10.el7.x86_64
> gudev-sharp-0:0.1-14.el7.x86_64
> gudev-sharp-devel-0:0.1-14.el7.x86_64
> ibm-data-db2-0:2.10.8-8.el7.x86_64
> libappindicator-sharp-0:12.10.0-10.el7.x86_64
> libappindicator-sharp-devel-0:12.10.0-10.el7.x86_64
> libgpod-sharp-0:0.8.3-6.el7.x86_64
> libgpod-sharp-devel-0:0.8.3-6.el7.x86_64
> mono-addins-0:0.6.2-11.el7.x86_64
> mono-addins-devel-0:0.6.2-11.el7.x86_64
> mono-data-0:2.10.8-8.el7.x86_64
> mono-data-oracle-0:2.10.8-8.el7.x86_64
> mono-data-postgresql-0:2.10.8-8.el7.x86_64
> mono-data-sqlite-0:2.10.8-8.el7.x86_64
> mono-devel-0:2.10.8-8.el7.x86_64
> mono-extras-0:2.10.8-8.el7.x86_64
> mono-locale-extras-0:2.10.8-8.el7.x86_64
> mono-mvc-0:2.10.8-8.el7.x86_64
> mono-mvc-devel-0:2.10.8-8.el7.x86_64
> mono-nunit-0:2.10.8-8.el7.x86_64
> mono-nunit-devel-0:2.10.8-8.el7.x86_64
> mono-wcf-0:2.10.8-8.el7.x86_64
> mono-web-0:2.10.8-8.el7.x86_64
> mono-web-devel-0:2.10.8-8.el7.x86_64
> mono-winforms-0:2.10.8-8.el7.x86_64
> mono-winfx-0:2.10.8-8.el7.x86_64
> mono-yui-0:1.1.0-3.el7.x86_64
> mono-zeroconf-0:0.9.0-13.el7.x86_64
> mono-zeroconf-devel-0:0.9.0-13.el7.x86_64
> monodoc-0:2.10.8-8.el7.x86_64
> monodoc-devel-0:2.10.8-8.el7.x86_64
> notify-sharp-0:0.4.0-0.23.20100411svn.el7.x86_64
> notify-sharp-devel-0:0.4.0-0.23.20100411svn.el7.x86_64
> notify-sharp-doc-0:0.4.0-0.23.20100411svn.el7.x86_64
> pinta-0:1.5-1.el7.x86_64
> taglib-sharp-0:2.0.3.7-11.el7.x86_64
> taglib-sharp-devel-0:2.0.3.7-11.el7.x86_64


Many of the above packages are owned by me in EPEL7 branch, but I don't have commit privileges in the master branch.

I noticed the spec files in the Master branch has stuff like %if rhel conditionals which if removed/modified, would help making future updates easier (I would only have to do fedpkg merge master & fedpkg build).

Peter Robinson can you help?

sed -i '/rhel/d' $SPEC?

Comment 7 Moez Roy 2016-01-02 23:31:40 UTC
Just realized that the if %rhel conditionals span more than few lines so would need a to figure out how to remove those until the end of the if statement. I think it would take too much time for me to do all of this manually. And right now I am very short on time, sorry. :(

Comment 8 Matěj Cepl 2016-01-05 16:34:24 UTC
(In reply to Raphael Groner from comment #2)
> There is a decision to *not* provide Mono4 in F22 cause of too much work
> with bootstrapping from Mono2. So I guess there are similiar issues with
> EPEL7.

Except Fedoras are coming and going, whereas RHEL-7 will stay around (and hopefully be useable) for another eight years. And already current state of Mono in EPEL makes it more or less useless (except of supporting already existing applications).

Comment 9 Timotheus Pokorra 2016-01-06 11:42:50 UTC
I have now created a copr to see how much changes are needed to get Mono 4.2 into Epel7: https://copr.fedoraproject.org/coprs/tpokorra/mono-epel/

It actually looks like not as much work!

This work would be required:
* The mono macros need to go into epel-rpm-macros: https://bugzilla.redhat.com/show_bug.cgi?id=1295117
* The mono package needs be bootstrapped on Epel. Do we need a permission to do that, similar as it was for Fedora Rawhide?
* the nunit package needs to built for Epel, it replaces mono-nunit
* 2 packages fail to build from source in Rawhide, gdata-sharp (#1296095) and gnome-sharp (#1296105). They are easy to fix.
* only one package (libgpod) has a %rhel conditional in Rawhide that needs to be fixed
* the package banshee has one little difference, it requires gnome-desktop3-devel in Epel7 instead of gnome-desktop-devel in Fedora
* all other packages that depend on Mono can be built from their rawhide/f23 srpm.

I have documented the packages individually here:
https://github.com/tpokorra/mono-epel/wiki
You can see the differences of those packages that I needed to modify from Fedora 23 here: https://github.com/tpokorra/mono-epel

Comment 10 Moez Roy 2016-01-07 19:50:32 UTC
(In reply to Timotheus Pokorra from comment #9)
> * the nunit package needs to built for Epel, it replaces mono-nunit

You can request a branch in pkgdb to build it for EPEL7.

After the epel macros are added we would need to request a koji buildroot by filing a ticket in rel-eng trac. (unless you want to solve the package dependencies using build-root overrides)

Comment 11 Fedora Update System 2016-09-15 09:14:55 UTC
mono-4.2.4-5.el7 mono-cecil-0.9.6-6.el7 nunit-3.4.1-2.el7 nunit2-2.6.4-14.el7 mono-zeroconf-0.9.0-16.el7 gtk-sharp2-2.12.26-3.el7 mono-addins-1.1-3.el7 gio-sharp-0.3-14.el7 gkeyfile-sharp-0.1-19.el7 dbus-sharp-0.7.0-15.el7 libgpod-0.8.3-8.el7 dbus-sharp-glib-0.5.0-13.el7 gudev-sharp-0.1-18.el7 gtk-sharp-beans-2.14.0-17.el7 pinta-1.6-5.el7 gnome-sharp-2.24.2-12.el7 gdata-sharp-1.4.0.2-18.el7 taglib-sharp-2.1.0.0-3.el7 notify-sharp-0.4.0-0.26.20100411svn.el7 banshee-2.6.2-11.el7 libappindicator-12.10.0-11.el7 gtk-sharp3-2.99.3-16.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-03fb3c1531

Comment 12 Timotheus Pokorra 2016-09-15 09:26:55 UTC
actually, there is an update for libyui-bindings as well, but I did not have commit permissions, so mrunge did that push that package to testing for me: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-5377018e61

Comment 13 Fedora Update System 2016-09-15 23:50:07 UTC
banshee-2.6.2-11.el7, dbus-sharp-0.7.0-15.el7, dbus-sharp-glib-0.5.0-13.el7, gdata-sharp-1.4.0.2-18.el7, gio-sharp-0.3-14.el7, gkeyfile-sharp-0.1-19.el7, gnome-sharp-2.24.2-12.el7, gtk-sharp-beans-2.14.0-17.el7, gtk-sharp2-2.12.26-3.el7, gtk-sharp3-2.99.3-16.el7, gudev-sharp-0.1-18.el7, libappindicator-12.10.0-11.el7, libgpod-0.8.3-8.el7, mono-4.2.4-5.el7, mono-addins-1.1-3.el7, mono-cecil-0.9.6-6.el7, mono-zeroconf-0.9.0-16.el7, notify-sharp-0.4.0-0.26.20100411svn.el7, nunit-3.4.1-2.el7, nunit2-2.6.4-14.el7, pinta-1.6-5.el7, taglib-sharp-2.1.0.0-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-03fb3c1531

Comment 14 Fedora Update System 2016-09-17 05:24:51 UTC
banshee-2.6.2-11.el7 dbus-sharp-0.7.0-15.el7 dbus-sharp-glib-0.5.0-13.el7 gdata-sharp-1.4.0.2-18.el7 gio-sharp-0.3-14.el7 gkeyfile-sharp-0.1-19.el7 gnome-sharp-2.24.2-12.el7 gtk-sharp-beans-2.14.0-17.el7 gtk-sharp2-2.12.26-3.el7 gtk-sharp3-2.99.3-16.el7 gudev-sharp-0.1-18.el7 libappindicator-12.10.0-11.el7 libgpod-0.8.3-8.el7 mono-4.2.4-6.el7 mono-addins-1.1-3.el7 mono-cecil-0.9.6-6.el7 mono-zeroconf-0.9.0-16.el7 notify-sharp-0.4.0-0.26.20100411svn.el7 nunit-3.4.1-2.el7 nunit2-2.6.4-14.el7 pinta-1.6-5.el7 taglib-sharp-2.1.0.0-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-03fb3c1531

Comment 15 Fedora Update System 2016-09-18 06:17:46 UTC
banshee-2.6.2-11.el7, dbus-sharp-0.7.0-15.el7, dbus-sharp-glib-0.5.0-13.el7, gdata-sharp-1.4.0.2-18.el7, gio-sharp-0.3-14.el7, gkeyfile-sharp-0.1-19.el7, gnome-sharp-2.24.2-12.el7, gtk-sharp-beans-2.14.0-17.el7, gtk-sharp2-2.12.26-3.el7, gtk-sharp3-2.99.3-16.el7, gudev-sharp-0.1-18.el7, libappindicator-12.10.0-11.el7, libgpod-0.8.3-8.el7, mono-4.2.4-6.el7, mono-addins-1.1-3.el7, mono-cecil-0.9.6-6.el7, mono-zeroconf-0.9.0-16.el7, notify-sharp-0.4.0-0.26.20100411svn.el7, nunit-3.4.1-2.el7, nunit2-2.6.4-14.el7, pinta-1.6-5.el7, taglib-sharp-2.1.0.0-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-03fb3c1531

Comment 16 Fedora Update System 2016-09-19 02:26:58 UTC
banshee-2.6.2-11.el7 dbus-sharp-0.7.0-15.el7 dbus-sharp-glib-0.5.0-13.el7 gdata-sharp-1.4.0.2-18.el7 gio-sharp-0.3-14.el7 gkeyfile-sharp-0.1-19.el7 gnome-sharp-2.24.2-12.el7 gtk-sharp-beans-2.14.0-17.el7 gtk-sharp2-2.12.26-3.el7 gtk-sharp3-2.99.3-16.el7 gudev-sharp-0.1-18.el7 libappindicator-12.10.0-11.el7 libgpod-0.8.3-8.el7 mono-4.2.4-7.el7 mono-addins-1.1-3.el7 mono-cecil-0.9.6-6.el7 mono-zeroconf-0.9.0-16.el7 notify-sharp-0.4.0-0.26.20100411svn.el7 nunit-3.4.1-2.el7 nunit2-2.6.4-14.el7 pinta-1.6-5.el7 taglib-sharp-2.1.0.0-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-03fb3c1531

Comment 17 Fedora Update System 2016-09-22 01:18:41 UTC
banshee-2.6.2-11.el7, dbus-sharp-0.7.0-15.el7, dbus-sharp-glib-0.5.0-13.el7, gdata-sharp-1.4.0.2-18.el7, gio-sharp-0.3-14.el7, gkeyfile-sharp-0.1-19.el7, gnome-sharp-2.24.2-12.el7, gtk-sharp-beans-2.14.0-17.el7, gtk-sharp2-2.12.26-3.el7, gtk-sharp3-2.99.3-16.el7, gudev-sharp-0.1-18.el7, libappindicator-12.10.0-11.el7, libgpod-0.8.3-8.el7, mono-4.2.4-7.el7, mono-addins-1.1-3.el7, mono-cecil-0.9.6-6.el7, mono-zeroconf-0.9.0-16.el7, notify-sharp-0.4.0-0.26.20100411svn.el7, notify-sharp3-3.0.3-2.el7, nunit-3.4.1-2.el7, nunit2-2.6.4-14.el7, pinta-1.6-5.el7, taglib-sharp-2.1.0.0-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-03fb3c1531

Comment 18 Fedora Update System 2016-10-06 01:20:44 UTC
banshee-2.6.2-11.el7, dbus-sharp-0.7.0-15.el7, dbus-sharp-glib-0.5.0-13.el7, gdata-sharp-1.4.0.2-18.el7, gio-sharp-0.3-14.el7, gkeyfile-sharp-0.1-19.el7, gnome-sharp-2.24.2-12.el7, gtk-sharp-beans-2.14.0-17.el7, gtk-sharp2-2.12.26-3.el7, gtk-sharp3-2.99.3-16.el7, gudev-sharp-0.1-18.el7, libappindicator-12.10.0-11.el7, libgpod-0.8.3-8.el7, mono-4.2.4-7.el7, mono-addins-1.1-3.el7, mono-cecil-0.9.6-6.el7, mono-zeroconf-0.9.0-16.el7, notify-sharp-0.4.0-0.26.20100411svn.el7, notify-sharp3-3.0.3-2.el7, nunit-3.5-1.el7, nunit2-2.6.4-14.el7, pinta-1.6-5.el7, taglib-sharp-2.1.0.0-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-03fb3c1531

Comment 19 Fedora Update System 2016-10-21 16:52:11 UTC
banshee-2.6.2-11.el7, dbus-sharp-0.7.0-15.el7, dbus-sharp-glib-0.5.0-13.el7, gdata-sharp-1.4.0.2-18.el7, gio-sharp-0.3-14.el7, gkeyfile-sharp-0.1-19.el7, gnome-sharp-2.24.2-12.el7, gtk-sharp-beans-2.14.0-17.el7, gtk-sharp2-2.12.26-3.el7, gtk-sharp3-2.99.3-16.el7, gudev-sharp-0.1-18.el7, libappindicator-12.10.0-11.el7, libgpod-0.8.3-14.el7, libyui-bindings-1.1.0-7.el7, mono-4.2.4-7.el7, mono-addins-1.1-3.el7, mono-cecil-0.9.6-6.el7, mono-zeroconf-0.9.0-16.el7, notify-sharp-0.4.0-0.26.20100411svn.el7, notify-sharp3-3.0.3-2.el7, nunit-3.5-1.el7, nunit2-2.6.4-14.el7, pinta-1.6-5.el7, taglib-sharp-2.1.0.0-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-03fb3c1531

Comment 20 Fedora Update System 2016-11-16 23:20:06 UTC
banshee-2.6.2-11.el7, dbus-sharp-0.7.0-15.el7, dbus-sharp-glib-0.5.0-13.el7, gdata-sharp-1.4.0.2-18.el7, gio-sharp-0.3-14.el7, gkeyfile-sharp-0.1-19.el7, gnome-sharp-2.24.2-12.el7, gtk-sharp-beans-2.14.0-17.el7, gtk-sharp2-2.12.26-3.el7, gtk-sharp3-2.99.3-16.el7, gudev-sharp-0.1-18.el7, libappindicator-12.10.0-11.el7, libgpod-0.8.3-14.el7, libyui-bindings-1.1.0-7.el7, mono-4.2.4-7.el7, mono-addins-1.1-3.el7, mono-cecil-0.9.6-6.el7, mono-zeroconf-0.9.0-16.el7, notify-sharp-0.4.0-0.26.20100411svn.el7, notify-sharp3-3.0.3-2.el7, nunit-3.5-1.el7, nunit2-2.6.4-14.el7, pinta-1.6-5.el7, taglib-sharp-2.1.0.0-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Timotheus Pokorra 2016-11-22 06:11:35 UTC
I have now retired Mono 1.2 from Epel5.
I recommend to use Mono 4.2 in Epel7.


Note You need to log in before you can comment on or make changes to this bug.